# DataManagerMappings

dataManagerMappings

## list DataManagerMapping

> The entity will store mapping which will be used during import to map field with external system fields.

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"dataManagerMappings","description":"dataManagerMappings"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.datamanager.DataManagerMapping":{"title":"Data Manager Mapping","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.datamanager.DataManagerMapping"},"mappingPrefId":{"type":"string"},"mappingPrefName":{"type":"string"},"mappingPrefTypeEnumId":{"type":"string"},"mappingPrefValue":{"type":"string"},"fromDate":{"type":"string","format":"date-time"},"thruDate":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/dataManagerMappings":{"get":{"tags":["dataManagerMappings"],"summary":"list DataManagerMapping","description":"The entity will store mapping which will be used during import to map field with external system fields.","parameters":[{"schema":{"type":"number","format":"int32"},"name":"pageIndex","in":"query","required":false,"description":"Page number to return, starting with zero"},{"schema":{"type":"number","format":"int32"},"name":"pageSize","in":"query","required":false,"description":"Number of records per page (default 100)"},{"schema":{"type":"string"},"name":"orderByField","in":"query","required":false,"description":"Field name to order by (or comma separated names)"},{"schema":{"type":"string"},"name":"pageNoLimit","in":"query","required":false,"description":"If true don't limit page size (no pagination)"},{"schema":{"type":"number","format":"int32"},"name":"dependentLevels","in":"query","required":false,"description":"Levels of dependent child records to include"},{"schema":{"type":"string","format":""},"name":"mappingPrefId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"mappingPrefName","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"mappingPrefTypeEnumId","in":"query","required":false,"description":null},{"schema":{"type":"string","format":""},"name":"mappingPrefValue","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"fromDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"thruDate","in":"query","required":false,"description":null},{"schema":{"type":"string","format":"date-time"},"name":"lastUpdatedStamp","in":"query","required":false,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/co.hotwax.datamanager.DataManagerMapping"}}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## create DataManagerMapping

> The entity will store mapping which will be used during import to map field with external system fields.

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"dataManagerMappings","description":"dataManagerMappings"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.datamanager.DataManagerMapping.PK":{"title":"Data Manager Mapping","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.datamanager.DataManagerMapping.PK"},"mappingPrefId":{"type":"string"}}},"co.hotwax.datamanager.DataManagerMapping":{"title":"Data Manager Mapping","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.datamanager.DataManagerMapping"},"mappingPrefId":{"type":"string"},"mappingPrefName":{"type":"string"},"mappingPrefTypeEnumId":{"type":"string"},"mappingPrefValue":{"type":"string"},"fromDate":{"type":"string","format":"date-time"},"thruDate":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/dataManagerMappings":{"post":{"tags":["dataManagerMappings"],"summary":"create DataManagerMapping","description":"The entity will store mapping which will be used during import to map field with external system fields.","responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.datamanager.DataManagerMapping.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.datamanager.DataManagerMapping"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.datamanager.DataManagerMapping"}}},"required":false}}}}}
```

## one DataManagerMapping

> The entity will store mapping which will be used during import to map field with external system fields.

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"dataManagerMappings","description":"dataManagerMappings"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.datamanager.DataManagerMapping":{"title":"Data Manager Mapping","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.datamanager.DataManagerMapping"},"mappingPrefId":{"type":"string"},"mappingPrefName":{"type":"string"},"mappingPrefTypeEnumId":{"type":"string"},"mappingPrefValue":{"type":"string"},"fromDate":{"type":"string","format":"date-time"},"thruDate":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/dataManagerMappings/{mappingPrefId}":{"get":{"tags":["dataManagerMappings"],"summary":"one DataManagerMapping","description":"The entity will store mapping which will be used during import to map field with external system fields.","parameters":[{"schema":{"type":"string"},"name":"mappingPrefId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.datamanager.DataManagerMapping"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```

## store DataManagerMapping

> The entity will store mapping which will be used during import to map field with external system fields.

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"dataManagerMappings","description":"dataManagerMappings"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}},"schemas":{"co.hotwax.datamanager.DataManagerMapping.PK":{"title":"Data Manager Mapping","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.datamanager.DataManagerMapping.PK"},"mappingPrefId":{"type":"string"}}},"co.hotwax.datamanager.DataManagerMapping":{"title":"Data Manager Mapping","type":"object","properties":{"_entity":{"type":"string","default":"co.hotwax.datamanager.DataManagerMapping"},"mappingPrefId":{"type":"string"},"mappingPrefName":{"type":"string"},"mappingPrefTypeEnumId":{"type":"string"},"mappingPrefValue":{"type":"string"},"fromDate":{"type":"string","format":"date-time"},"thruDate":{"type":"string","format":"date-time"},"lastUpdatedStamp":{"type":"string","format":"date-time"}}}}},"paths":{"/dataManagerMappings/{mappingPrefId}":{"post":{"tags":["dataManagerMappings"],"summary":"store DataManagerMapping","description":"The entity will store mapping which will be used during import to map field with external system fields.","parameters":[{"schema":{"type":"string"},"name":"mappingPrefId","in":"path","required":true,"description":null}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.datamanager.DataManagerMapping.PK"}}}},"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/co.hotwax.datamanager.DataManagerMapping"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/co.hotwax.datamanager.DataManagerMapping"}}},"required":false}}}}}
```

## delete DataManagerMapping

> The entity will store mapping which will be used during import to map field with external system fields.

```json
{"openapi":"3.1.1","info":{"title":"Directed Cycle Count REST API","version":"3.2.0"},"tags":[{"name":"dataManagerMappings","description":"dataManagerMappings"}],"servers":[{"url":"https://dev-maarg.hotwax.io/rest/s1/inventory-cycle-count"}],"security":[{"basicAuth":[]},{"api_key":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"},"api_key":{"type":"apiKey","name":"api_key","in":"header","description":"HTTP Header api_key"}}},"paths":{"/dataManagerMappings/{mappingPrefId}":{"delete":{"tags":["dataManagerMappings"],"summary":"delete DataManagerMapping","description":"The entity will store mapping which will be used during import to map field with external system fields.","parameters":[{"schema":{"type":"string"},"name":"mappingPrefId","in":"path","required":true,"description":null}],"responses":{"401":{"description":"Authentication required"},"403":{"description":"Access Forbidden (no authz)"},"404":{"description":"Value Not Found"},"429":{"description":"Too Many Requests (tarpit)"},"500":{"description":"General Error"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hotwax.co/documents/integrate-with-hotwax/components/inventory-count/datamanagermappings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
